edu.isi.pegasus.planner.dax

## Class Edge

- java.lang.Object
- - edu.isi.pegasus.planner.dax.Edge

    public class Edge
    extends java.lang.Object

Version:
  $Revision: 3009 $
Author:
  gmehta

### Field Summary

Fields
`private java.lang.String` `mChild` The parent of the child
`private java.lang.String` `mLabel` The edge label for the parent child relationship.
`private java.lang.String` `mParent` The parent of the parent

### Constructor Summary

Constructors
Constructor and Description
`Edge(Edge e)`
`Edge(java.lang.String parent, java.lang.String child)`
`Edge(java.lang.String parent, java.lang.String child, java.lang.String label)`

### Method Summary

All Methods Instance Methods Concrete Methods
`Edge` `clone()`
`boolean` `equals(java.lang.Object o)`
`java.lang.String` `getChild()`
`java.lang.String` `getLabel()`
`java.lang.String` `getParent()`
`int` `hashCode()`
`void` `setChild(java.lang.String child)`
`void` `setLabel(java.lang.String label)`
`void` `setParent(java.lang.String parent)`
`java.lang.String` `toString()`
`void` `toXML(XMLWriter writer)`
`void` `toXML(XMLWriter writer, int indent)`
`void` `toXMLParent(XMLWriter writer)`
`void` `toXMLParent(XMLWriter writer, int indent)`

### Methods inherited from class java.lang.Object

`finalize, getClass, notify, notifyAll, wait, wait, wait`

### Field Detail

#### mChild

    private java.lang.String mChild

The parent of the child

#### mParent

    private java.lang.String mParent

The parent of the parent

#### mLabel

    private java.lang.String mLabel

The edge label for the parent child relationship. Optional.

### Constructor Detail

#### Edge

    public Edge(java.lang.String parent,
                java.lang.String child)

Parameters:
  `parent` -

#### Edge

    public Edge(Edge e)

#### Edge

    public Edge(java.lang.String parent,
                java.lang.String child,
                java.lang.String label)

Parameters:
  `parent` -
  `label` -

### Method Detail

#### getParent

    public java.lang.String getParent()

Returns:
  the parent

#### setParent

    public void setParent(java.lang.String parent)

Parameters:
  `parent` - the parent of the edge to set

#### getChild

    public java.lang.String getChild()

Returns:
  the child of the edge

#### setChild

    public void setChild(java.lang.String child)

Parameters:
  `parent` - the child of the edge to set

#### getLabel

    public java.lang.String getLabel()

Returns:
  the label

#### setLabel

    public void setLabel(java.lang.String label)

Parameters:
  `label` - the label to set

#### clone

    public Edge clone()

Overrides:
  `clone` in class `java.lang.Object`

#### hashCode

    public int hashCode()

Overrides:
  `hashCode` in class `java.lang.Object`

#### equals

    public boolean equals(java.lang.Object o)

Overrides:
  `equals` in class `java.lang.Object`

#### toString

    public java.lang.String toString()

Overrides:
  `toString` in class `java.lang.Object`

#### toXML

    public void toXML(XMLWriter writer)

#### toXMLParent

    public void toXMLParent(XMLWriter writer)

#### toXML

    public void toXML(XMLWriter writer,
                      int indent)

#### toXMLParent

    public void toXMLParent(XMLWriter writer,
                            int indent)